btp_layer_factory Class Reference

`#include <btp_layer_factory.hh>`

Inheritance diagram for btp_layer_factory:

## Public Member Functions

| btp_layer_factory ()
| Reference to the unique instance of this class. More...
virtual layer * | create_layer (const std::string &p_type, const std::string &p_param)
| Create the layers stack based on the provided layers stack description. More...
Public Member Functions inherited from layer_factory
| layer_factory ()

## Static Private Attributes

static btp_layer_factory | _f

## Constructor & Destructor Documentation

## btp_layer_factory()

btp_layer_factory::btp_layer_factory | ( |  | ) |

inline

Reference to the unique instance of this class.

Default constructor Create a new instance of the btp_layer_factory class

Remarks
  The BTP layer identifier is BTP

## Member Function Documentation

## create_layer()

layer * btp_layer_factory::create_layer | ( | const std::string & | type,
|  | const std::string & | param
| ) |  |

inlinevirtual

Create the layers stack based on the provided layers stack description.

Parameters

  [in] | p_type | The provided layers stack description
  [in] | p_params | Optional parameters

Returns
  0 on success, -1 otherwise

Implements layer_factory.

## Member Data Documentation

## _f

btp_layer_factory btp_layer_factory::_f

staticprivate

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/btp_layer_factory.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/btp_layer.cc